// Показывать или нет поля для настройки программы, связанные с маркировкой
$('body').off('change', 'form select[name="check_mark"]');
$('body').on('change', 'form select[name="check_mark"]', function(){
	if($(this).val()>0) {
		$('tr.mark_settings').show();
	}
	else {
		$('tr.mark_settings').hide();
	}
});

// Показывать или нет поля для настройки программы, связанные с ЕГАИС
$('body').off('change', 'form select[name="egais"]');
$('body').on('change', 'form select[name="egais"]', function(){
	if($(this).val()>0) {
		$('tr.egais_settings').show();
	}
	else {
		$('tr.egais_settings').hide();
	}
});

// Показывать или нет поля для настройки программы, связанные с режимом совместной работы
$('body').off('change', 'form select[name="multikassa"]');
$('body').on('change', 'form select[name="multikassa"]', function(){
	if($(this).val()>0) {
		$('tr.multikassa_settings').show();
	}
	else {
		$('tr.multikassa_settings').hide();
	}
});

// Показывать или нет поля для настройки ККМ
$('body').off('change', 'form select[name="active"]');
$('body').on('change', 'form select[name="active"]', function(){
	if($(this).val()==1) {
		$('tr.active').show();
	}
	else {
		$('tr.active').hide();
	}
});

$('body').off('change', 'form select[name="bt_active"]');
$('body').on('change', 'form select[name="bt_active"]', function(){
	if($(this).val()==1) {
		$('tr.bt_active').show();
	}
	else {
		$('tr.bt_active').hide();
	}
});

// Показывать или нет поля для настройки ФР
$('body').off('change', 'form select[name="type"]');
$('body').on('change', 'form select[name="type"]', function(){
	if($(this).val()==1) {
		$('tr.kkm_type').show();
	}
	else {
		$('tr.kkm_type').hide();
	}
});

// Снять или поставить пометку о прочтении в логах синхронизации
$('input[name="read_log"]').change(function(){
	var log_id=$(this).attr('for');
	send_form($('form[name="read_log_form_'+log_id));
});

// Пометить все логи как прочитанные
$('input[name="read_all_logs"]').click(function(){
	$('input[name="read_log"]').prop('checked', true);
	load_ajax('/settings/read_all_logs');
});

// Установка налогов
function set_vat(vat) {
	for(var i=0; i<6; i++) {
		$('input[name="vat['+i+']"]').val(vat[i]);
	}
}

// Настроить налоги как в АТОЛ
$('body').off('click', 'input[name="atol_type"]');
$('body').on('click', 'input[name="atol_type"]', function(){
	var vat=[4,1,5,2,6,3];
	set_vat(vat);
});

// Настроить налоги как в Штрих-М
$('body').off('click', 'input[name="shtrihm_type"]');
$('body').on('click', 'input[name="shtrihm_type"]', function(){
	var vat=[4,3,6,2,5,1];
	set_vat(vat);
});

// Настроить налоги как в Меркурий
$('body').off('click', 'input[name="mercury_type"]');
$('body').on('click', 'input[name="mercury_type"]', function(){
	var vat=[6,5,4,2,3,1];
	set_vat(vat);
});

// Настроить налоги как в MSPOS
$('body').off('click', 'input[name="mspos_type"]');
$('body').on('click', 'input[name="mspos_type"]', function(){
	var vat=[6,5,4,2,3,1];
	set_vat(vat);
});

// Отображение ссылки на настройку драйвера
$('body').off('change', 'select[name="driver"]');
$('body').on('change', 'select[name="driver"]', function(){
	var path=$(this).val();
	var device=$('input[name="device"]').val();
	if(path!='') {
		if(device!='') {
			device='&device='+device;
		}
		$('#driver_settings').attr('href', '/settings/drivers?path='+path+device);
		$('#driver_settings').removeClass('hide');
	}
	else {
		$('#driver_settings').attr('href', '');
		$('#driver_settings').addClass('hide');
	}
});

// Отображение ссылки на настройку драйвера
$('body').off('change', 'select[name="bt_driver"]');
$('body').on('change', 'select[name="bt_driver"]', function(){
	var path=$(this).val();
	if(path!='') {
		$('#driver_settings').attr('href', '/settings/drivers?path='+path);
		$('#driver_settings').removeClass('hide');
	}
	else {
		$('#driver_settings').attr('href', '');
		$('#driver_settings').addClass('hide');
	}
});

function display_links() {
	if($('form select[name="orders_device"]').val()=='0') {
		$('tr.display_links').show();
	}
	else {
		$('tr.display_links').hide();
	}
}

$('body').off('change', 'form select[name="orders_device"]');
$('body').on('change', 'form select[name="orders_device"]', function(){
	display_links();
});

$('body').off('change', 'form select[name="cafe_mode"]');
$('body').on('change', 'form select[name="cafe_mode"]', function(){
	if($(this).val()>0) {
		$('tr.cafe_mode').show();
		display_links();
	}
	else {
		$('tr.cafe_mode').hide();
		$('tr.display_links').hide();
	}
});

function egais_orginfo() {
	var href=$('.egais_settings input[name="url_egais"]').val();
	if(href=='') {
		show_window('error', "Не казан путь к УТМ ЕГАИС");
		return;
	}
	show_window('loading', loading_txt);
	$.ajax({
        url: href+'/api/gost/orginfo',
        method: 'GET',
        dataType: "html",
        success: function(response) {
        	close_all_window();
        	var isJson=true;
        	var res;
        	try {
    			res=JSON.parse(response);
			} catch(e) {
    			isJson = false;
			}
       		if(isJson) {
       			console.log(res);
       			$('.egais_settings input[name="org_name"]').val(res.o);
       			$('.egais_settings input[name="org_address"]').val(res.l+', '+res.street);
       			$('.egais_settings input[name="inn"]').val(res.inn);
       			$('.egais_settings input[name="kpp"]').val(res.kpp);
       		}
       		else {
       			show_window(null, response);
       		}
    	},
    	error: function(response) {
            $("#loading .popup_content").html(response.statusText);
            $("#loading .close").show();
    	},
    	timeout: 65000
 	});
}

$('body').off('click', '#egais_orginfo_button');
$('body').on('click', '#egais_orginfo_button', function() {
	egais_orginfo();
});

if($('#egais_orginfo_button').length>0
	&& $('.egais_settings input[name="url_egais"]').val()!=''
	&& $('.egais_settings input[name="org_name"]').val()==''
	&& $('.egais_settings input[name="org_address"]').val()==''
	&& $('.egais_settings input[name="inn"]').val()==''
	&& $('.egais_settings input[name="kpp"]').val()=='') {
	egais_orginfo();
}